com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Interface EncryptionFactory

- All Known Implementing Classes:
    JceEncryptionFactory

      public interface EncryptionFactory

  A SSH encryption factory.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `EncryptionFactory.Mode` Algorithm mode.
    `static class` | `EncryptionFactory.OperationException` Represents an operation error.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption` | `clientToServerEncryptionFor(java.lang.String name, com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory, EncryptionFactory.Mode mode)` Returns an encryption operation for client-server direction.
    `java.util.List<java.lang.String>` | `encryptions()` Returns supported encryption algorithms.
    `com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption` | `serverToClientEncryptionFor(java.lang.String name, com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory, EncryptionFactory.Mode mode)` Returns an encryption operation for server-client direction.

- - ### Method Detail

    - #### encryptions

          java.util.List<java.lang.String> encryptions()

      Returns supported encryption algorithms.
      Returns:
        supported encryption algorithms

    - #### clientToServerEncryptionFor

          com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption clientToServerEncryptionFor(java.lang.String name,
                                                                                                       com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory,
                                                                                                       EncryptionFactory.Mode mode)
                                                                                                throws EncryptionFactory.OperationException

      Returns an encryption operation for client-server direction.
      Parameters:
        `name` - a SSH algorithm name
        `keyFactory` - a key factory
        `mode` - an encryption mode
      Returns:
        an cryption operation
      Throws:
        `EncryptionFactory.OperationException` - if an error occurs

    - #### serverToClientEncryptionFor

          com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption serverToClientEncryptionFor(java.lang.String name,
                                                                                                       com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory,
                                                                                                       EncryptionFactory.Mode mode)
                                                                                                throws EncryptionFactory.OperationException

      Returns an encryption operation for server-client direction.
      Parameters:
        `name` - a SSH algorithm name
        `keyFactory` - a key factory
        `mode` - an encryption mode
      Returns:
        an cryption operation
      Throws:
        `EncryptionFactory.OperationException` - if an error occurs

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved